import 'package:verttice_logic/verttice_logic.dart';
import "package:verttice_ui/src/const/box_sizes.dart";
import "package:flutter/material.dart";
import 'package:verttice_ui/src/widgets/files/file_list_view_storage.dart';
import 'package:verttice_ui/src/widgets/files/upload_file.dart';

class FileUploadAndViewStorage extends StatelessWidget {
  final List<FileModel>? images;
  final Function(FileModel)? deleteImageCallback;
  final Function(List<FileModel>) imageListDataCallback;
  final String path;
  final String? buttonText;
  final bool multi;

  const FileUploadAndViewStorage({
    Key? key,
    required this.path,
    required this.imageListDataCallback,
    this.images,
    this.deleteImageCallback,
    this.buttonText,
    this.multi = true,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      child: Column(
        children: [
          if (images != null && images!.isNotEmpty)
            FileListViewStorage(
              deleteImageCallback: deleteImageCallback,
              files: images ?? [],
            ),
          sizedBoxH4,
          UploadFile(
            multi: multi,
            buttonText: buttonText,
            imageListDataCallback: imageListDataCallback,
            path: path,
          ),
        ],
      ),
    );
  }
}
