import "package:flutter/material.dart";
import 'package:verttice_logic/verttice_logic.dart';
import 'package:verttice_ui/src/widgets/files/file_upload_and_view_storage.dart';

class ImageListFormFactory extends StatelessWidget {
  final Function(List<FileModel>) imageListDataCallback;
  final String path;
  final List<FileModel> images;
  final Function(FileModel)? deleteImageCallback;

  const ImageListFormFactory({
    Key? key,
    required this.imageListDataCallback,
    required this.path,
    required this.images,
    this.deleteImageCallback,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FileUploadAndViewStorage(
      imageListDataCallback: imageListDataCallback,
      path: path,
      images: images,
      deleteImageCallback: deleteImageCallback,
    );
  }
}
